Page MenuHomePhabricator

Add transwiki import on Urdu Wikipedia
Closed, ResolvedPublic

Description

Please enable import feature for the sysops of Urdu Wikipedia. We have to copy many templates from other Wikipedia projects and this feature will enable us to preserve complete edit history. Add 'importupload' right to administrators. Administrators should be able to add/remove "Transwiki importer" (transwiki) group.

consensus: https://ur.wikipedia.org/wiki/ویکیپیڈیا:دیوان_عام/تجاویز#ٹرانس_ویکی

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 25 2018, 6:38 PM
BukhariSaeed renamed this task from Add transwiki import sources on Urdu Wikipedia to Add transwiki import on Urdu Wikipedia.Dec 25 2018, 6:41 PM
BukhariSaeed updated the task description. (Show Details)
BukhariSaeed updated the task description. (Show Details)Dec 25 2018, 6:45 PM
BukhariSaeed updated the task description. (Show Details)Dec 25 2018, 7:04 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptDec 25 2018, 7:06 PM

From which specific wiki sites would you like to import?

From which specific wiki sites would you like to import?

As stated in above link of community consensus, these Wikis are arabic, english, french, hebrew and persian wikipedias.

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Dec 27 2018, 3:23 PM
Zoranzoki21 removed a project: User-Zoranzoki21.
Zoranzoki21 moved this task from Config - to process to Backlog on the Wikimedia-Site-requests board.
Zoranzoki21 added a subscriber: Zoranzoki21.
Tulsi_Bhagat triaged this task as Normal priority.
Tulsi_Bhagat moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

If i clearly understand this ticket, These are the changes? @BukhariSaeed and @MuhammadShuaib Please hereby confirm!

groupOverrides
'sysop' => [ 'importupload' => true ],

wgAddGroups
'sysop' => [ 'transwiki' => true ],

wgRemoveGroups
'sysop' => [ 'transwiki' => true ],

wgImportSources
'urwiki' => [ 'ar', 'en', 'fa', 'fr', 'he' ],

If i clearly understand this ticket, These are the changes? @BukhariSaeed and @MuhammadShuaib Please hereby confirm!
groupOverrides
'sysop' => [ 'importupload' => true ],
wgAddGroups
'sysop' => [ 'transwiki' => true ],
wgRemoveGroups
'sysop' => [ 'transwiki' => true ],
wgImportSources
'urwiki' => [ 'ar', 'en', 'fa', 'fr', 'he' ],

Yes

Sorry but importupload is too sensitive to be granted to any group at this moment. Transwiki import is fine but direct XML uploading is dangerous and should be left out of this request.

Change 481579 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Configure $wgAddGroups, $wgRemoveGroups and $wgImportSources for ur.wiki

https://gerrit.wikimedia.org/r/481579

Scheduled to be deployed during European Mid-day SWAT window on Monday, January 14.

Change 481579 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure $wgAddGroups, $wgRemoveGroups and $wgImportSources for ur.wiki

https://gerrit.wikimedia.org/r/481579

Mentioned in SAL (#wikimedia-operations) [2019-01-14T12:27:54Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:481579|Configure $wgAddGroups, $wgRemoveGroups and $wgImportSources for ur.wiki (T212612)]] (duration: 00m 46s)

Tulsi_Bhagat closed this task as Resolved.Jan 14 2019, 12:35 PM

Please feel free to reopen if there is any issue regarding the change. Kind regards,